package com.fastbee.data.controller.gis;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.fastbee.common.annotation.Log;
import com.fastbee.common.core.controller.BaseController;
import com.fastbee.common.core.domain.AjaxResult;
import com.fastbee.common.enums.BusinessType;
import com.fastbee.ggroup.domain.GSitePumpInfo;
import com.fastbee.ggroup.service.IGSitePumpInfoService;
import com.fastbee.common.utils.poi.ExcelUtil;
import com.fastbee.common.core.page.TableDataInfo;

/**
 * 泵站信息Controller
 *
 * @author kerwincui
 * @date 2024-11-04
 */
@RestController
@RequestMapping("/gis/site/pump/info")
@Api(tags = "泵站信息")
public class GSitePumpInfoController extends BaseController
{
    @Autowired
    private IGSitePumpInfoService gSitePumpInfoService;


    /**
     * 获取泵站信息详细信息
     */
//    @PreAuthorize("@ss.hasPermi('ggroup:info:query')")
    @GetMapping(value = "/{id}")
    @ApiOperation("获取泵站信息详细信息")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return AjaxResult.success(gSitePumpInfoService.selectGSitePumpInfoBySiteId(id));
    }

    /**
     * 修改泵站信息
     */
//    @PreAuthorize("@ss.hasPermi('ggroup:info:edit')")
    @PutMapping
    @ApiOperation("修改泵站信息")
    public AjaxResult edit(@RequestBody GSitePumpInfo gSitePumpInfo)
    {
        return toAjax(gSitePumpInfoService.updateGSiteSluiceInfo(gSitePumpInfo));
    }

}
