package com.fastbee.deviceData.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import lombok.EqualsAndHashCode;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 虫情设备实时数据对象 iot_device_realtimedata_worms
 *
 * @author kerwincui
 * @date 2024-11-14
 */
@ApiModel(value = "DeviceRealtimedataWorms",description = "虫情设备实时数据 iot_device_realtimedata_worms")
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("iot_device_realtimedata_worms")
public class DeviceRealtimedataWorms extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 设备编号 */
            @Excel(name = "设备编号")
            @ApiModelProperty("设备编号")
    private String deviceAddr;

    /** 降雨状态 */
            @Excel(name = "降雨状态")
            @ApiModelProperty("降雨状态")
    private String rain;

    /** 杀虫挡板（0：关闭；1：打开） */
            @Excel(name = "杀虫挡板", readConverterExp = "0=：关闭；1：打开")
            @ApiModelProperty("杀虫挡板")
    private String wormFlap;

    /** 杀虫仓温度 */
            @Excel(name = "杀虫仓温度")
            @ApiModelProperty("杀虫仓温度")
    private String insecticideTem;

    /** 震动装置（0：关闭；1：打开） */
            @Excel(name = "震动装置", readConverterExp = "0=：关闭；1：打开")
            @ApiModelProperty("震动装置")
    private String shake;

    /** 经度 */
            @Excel(name = "经度")
            @ApiModelProperty("经度")
    private String lng;

    /** 烘干挡板（0：关闭；1：打开） */
            @Excel(name = "烘干挡板", readConverterExp = "0=：关闭；1：打开")
            @ApiModelProperty("烘干挡板")
    private String dryingFlap;

    /** 杀虫控制（0：关闭；1：打开） */
            @Excel(name = "杀虫控制", readConverterExp = "0=：关闭；1：打开")
            @ApiModelProperty("杀虫控制")
    private String insecticide;

    /** 移虫挡板（0：关闭；1：打开） */
            @Excel(name = "移虫挡板", readConverterExp = "0=：关闭；1：打开")
            @ApiModelProperty("移虫挡板")
    private String moveWorm;

    /** 运行模式（1:自动；0:手动） */
            @Excel(name = "运行模式", readConverterExp = "1=:自动；0:手动")
            @ApiModelProperty("运行模式")
    private String mode;

    /** 烘干控制（0：关闭；1：打开） */
            @Excel(name = "烘干控制", readConverterExp = "0=：关闭；1：打开")
            @ApiModelProperty("烘干控制")
    private String drying;

    /** 虫雨挡板（0：关闭；1：打开） */
            @Excel(name = "虫雨挡板", readConverterExp = "0=：关闭；1：打开")
            @ApiModelProperty("虫雨挡板")
    private String rainFlap;

    /** 诱虫灯状态（0：关闭；1：打开） */
            @Excel(name = "诱虫灯状态", readConverterExp = "0=：关闭；1：打开")
            @ApiModelProperty("诱虫灯状态")
    private String attractWorm;

    /** 光照度 */
            @Excel(name = "光照度")
            @ApiModelProperty("光照度")
    private String illum;

    /** 烘干仓温度 */
            @Excel(name = "烘干仓温度")
            @ApiModelProperty("烘干仓温度")
    private String dryingTem;

    /** 纬度 */
            @Excel(name = "纬度")
            @ApiModelProperty("纬度")
    private String lat;

    /** 补光灯（0：关闭；1：打开） */
            @Excel(name = "补光灯", readConverterExp = "0=：关闭；1：打开")
            @ApiModelProperty("补光灯")
    private String fillLight;

    /** 设备状态（online/offline） */
            @Excel(name = "设备状态", readConverterExp = "o=nline/offline")
            @ApiModelProperty("设备状态")
    private String status;

            /** 保存时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "保存时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("保存时间")
    private Date saveTime;

            /** 实时时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实时时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("实时时间")
     private Date realTime;

}
