package com.fastbee.deviceData.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.deviceData.domain.DeviceRealtimedataPhotovoltaic;
import org.apache.ibatis.annotations.Mapper;

/**
 * 光伏设备实时数据Mapper接口
 *
 * @author kerwincui
 * @date 2024-11-14
 */
@Mapper
public interface DeviceRealtimedataPhotovoltaicMapper extends BaseMapper<DeviceRealtimedataPhotovoltaic>
{
    /**
     * 查询光伏设备实时数据
     *
     * @param id 光伏设备实时数据主键
     * @return 光伏设备实时数据
     */
    public DeviceRealtimedataPhotovoltaic selectDeviceRealtimedataPhotovoltaicById(Long id);

    /**
     * 查询光伏设备实时数据列表
     *
     * @param deviceRealtimedataPhotovoltaic 光伏设备实时数据
     * @return 光伏设备实时数据集合
     */
    public List<DeviceRealtimedataPhotovoltaic> selectDeviceRealtimedataPhotovoltaicList(DeviceRealtimedataPhotovoltaic deviceRealtimedataPhotovoltaic);

    /**
     * 新增光伏设备实时数据
     *
     * @param deviceRealtimedataPhotovoltaic 光伏设备实时数据
     * @return 结果
     */
    public int insertDeviceRealtimedataPhotovoltaic(DeviceRealtimedataPhotovoltaic deviceRealtimedataPhotovoltaic);

    /**
     * 修改光伏设备实时数据
     *
     * @param deviceRealtimedataPhotovoltaic 光伏设备实时数据
     * @return 结果
     */
    public int updateDeviceRealtimedataPhotovoltaic(DeviceRealtimedataPhotovoltaic deviceRealtimedataPhotovoltaic);

    /**
     * 删除光伏设备实时数据
     *
     * @param id 光伏设备实时数据主键
     * @return 结果
     */
    public int deleteDeviceRealtimedataPhotovoltaicById(Long id);

    /**
     * 批量删除光伏设备实时数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceRealtimedataPhotovoltaicByIds(Long[] ids);
}
