package com.fastbee.deviceData.service;

import java.util.List;
import com.fastbee.deviceData.domain.DeviceRealtimedataWorms;
import org.apache.ibatis.annotations.Mapper;

/**
 * 虫情设备实时数据Service接口
 * 
 * @author kerwincui
 * @date 2024-11-14
 */
@Mapper
public interface IDeviceRealtimedataWormsService 
{
    /**
     * 查询虫情设备实时数据
     * 
     * @param id 虫情设备实时数据主键
     * @return 虫情设备实时数据
     */
    public DeviceRealtimedataWorms selectDeviceRealtimedataWormsById(Long id);

    /**
     * 查询虫情设备实时数据列表
     * 
     * @param deviceRealtimedataWorms 虫情设备实时数据
     * @return 虫情设备实时数据集合
     */
    public List<DeviceRealtimedataWorms> selectDeviceRealtimedataWormsList(DeviceRealtimedataWorms deviceRealtimedataWorms);

    /**
     * 新增虫情设备实时数据
     * 
     * @param deviceRealtimedataWorms 虫情设备实时数据
     * @return 结果
     */
    public int insertDeviceRealtimedataWorms(DeviceRealtimedataWorms deviceRealtimedataWorms);

    /**
     * 修改虫情设备实时数据
     * 
     * @param deviceRealtimedataWorms 虫情设备实时数据
     * @return 结果
     */
    public int updateDeviceRealtimedataWorms(DeviceRealtimedataWorms deviceRealtimedataWorms);

    /**
     * 批量删除虫情设备实时数据
     * 
     * @param ids 需要删除的虫情设备实时数据主键集合
     * @return 结果
     */
    public int deleteDeviceRealtimedataWormsByIds(Long[] ids);

    /**
     * 删除虫情设备实时数据信息
     * 
     * @param id 虫情设备实时数据主键
     * @return 结果
     */
    public int deleteDeviceRealtimedataWormsById(Long id);
}
