package com.fastbee.deviceInfo.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 靶标害虫设备基础信息对象 iot_device_information_targetPests
 *
 * @author kerwincui
 * @date 2024-11-18
 */
@ApiModel(value = "DeviceInformationTargetpests",description = "靶标害虫设备基础信息 iot_device_information_targetPests")
@Data
@EqualsAndHashCode(callSuper = true)
public class DeviceInformationTargetpests extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 设备品牌 */
            @Excel(name = "设备品牌")
            @ApiModelProperty("设备品牌")
    private String deviceBrand;

    /** 类型 */
            @Excel(name = "类型")
            @ApiModelProperty("类型")
    private String type;

    /** 设备型号 */
            @Excel(name = "设备型号")
            @ApiModelProperty("设备型号")
    private String deviceType;

    /** 供电 */
            @Excel(name = "供电")
            @ApiModelProperty("供电")
    private String powerSupply;

    /** 设备编码 */
            @Excel(name = "设备编码")
            @ApiModelProperty("设备编码")
    private String deviceEncoding;

    /** 地址码 */
            @Excel(name = "地址码")
            @ApiModelProperty("地址码")
    private String addressCode;

    /** 安装位置 */
            @Excel(name = "安装位置")
            @ApiModelProperty("安装位置")
    private String installationLocation;

    /** 经度 */
            @Excel(name = "经度")
            @ApiModelProperty("经度")
    private String longitude;

    /** 纬度 */
            @Excel(name = "纬度")
            @ApiModelProperty("纬度")
    private String latitude;

    /** 对接方式 */
            @Excel(name = "对接方式")
            @ApiModelProperty("对接方式")
    private String dockingMethod;

    /** 删除标志（0代表存在，2代表删除） */
    private Integer delFlag;

}
