package com.fastbee.deviceInfo.service;

import java.util.List;
import com.fastbee.deviceInfo.domain.DeviceInformationWorms;

/**
 * 虫情设备基础信息Service接口
 * 
 * @author kerwincui
 * @date 2024-11-18
 */
public interface IDeviceInformationWormsService 
{
    /**
     * 查询虫情设备基础信息
     * 
     * @param id 虫情设备基础信息主键
     * @return 虫情设备基础信息
     */
    public DeviceInformationWorms selectDeviceInformationWormsById(Long id);

    /**
     * 查询虫情设备基础信息列表
     * 
     * @param deviceInformationWorms 虫情设备基础信息
     * @return 虫情设备基础信息集合
     */
    public List<DeviceInformationWorms> selectDeviceInformationWormsList(DeviceInformationWorms deviceInformationWorms);

    /**
     * 新增虫情设备基础信息
     * 
     * @param deviceInformationWorms 虫情设备基础信息
     * @return 结果
     */
    public int insertDeviceInformationWorms(DeviceInformationWorms deviceInformationWorms);

    /**
     * 修改虫情设备基础信息
     * 
     * @param deviceInformationWorms 虫情设备基础信息
     * @return 结果
     */
    public int updateDeviceInformationWorms(DeviceInformationWorms deviceInformationWorms);

    /**
     * 批量删除虫情设备基础信息
     * 
     * @param ids 需要删除的虫情设备基础信息主键集合
     * @return 结果
     */
    public int deleteDeviceInformationWormsByIds(Long[] ids);

    /**
     * 删除虫情设备基础信息信息
     * 
     * @param id 虫情设备基础信息主键
     * @return 结果
     */
    public int deleteDeviceInformationWormsById(Long id);
}
