package com.fastbee.ggroup.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 河流基础信息对象 g_river_info
 *
 * @author kerwincui
 * @date 2024-10-22
 */
@ApiModel(value = "GRiverInfo",description = "河流基础信息 g_river_info")
@Data
@EqualsAndHashCode(callSuper = true)
public class GSiteRiverInfo extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 河流名称 */
            @Excel(name = "河流名称")
            @ApiModelProperty("河流名称")
    private String name;

    /** 河流编码 */
            @Excel(name = "河流编码")
            @ApiModelProperty("河流编码")
    private String code;

    /** 河流长度（千米） */
            @Excel(name = "河流长度", readConverterExp = "千=米")
            @ApiModelProperty("河流长度")
    private Long length;

    /** 河流流域面积（平方千米） */
            @Excel(name = "河流流域面积", readConverterExp = "平=方千米")
            @ApiModelProperty("河流流域面积")
    private Long area;

    /** 流经镇/街道 */
            @Excel(name = "流经镇/街道")
            @ApiModelProperty("流经镇/街道")
    private String towns;

    /** 起点纬度 */
            @Excel(name = "起点纬度")
            @ApiModelProperty("起点纬度")
    private Long startLatitude;

    /** 起点经度 */
            @Excel(name = "起点经度")
            @ApiModelProperty("起点经度")
    private Long startLongitude;

    /** 起点地点 */
            @Excel(name = "起点地点")
            @ApiModelProperty("起点地点")
    private String startLocation;

    /** 终点纬度 */
            @Excel(name = "终点纬度")
            @ApiModelProperty("终点纬度")
    private Long endLatitude;

    /** 终点经度 */
            @Excel(name = "终点经度")
            @ApiModelProperty("终点经度")
    private Long endLongitude;

    /** 终点地点 */
            @Excel(name = "终点地点")
            @ApiModelProperty("终点地点")
    private String endLocation;

    /** 排污口数量 */
            @Excel(name = "排污口数量")
            @ApiModelProperty("排污口数量")
    private Long pollutionDrainageNumber;

    /** 涉水工程和设施数量 */
            @Excel(name = "涉水工程和设施数量")
            @ApiModelProperty("涉水工程和设施数量")
    private Long waterRelatedProjectsAndFacilitiesNumber;

    /** 跨河穿河临河建筑物数量 */
            @Excel(name = "跨河穿河临河建筑物数量")
            @ApiModelProperty("跨河穿河临河建筑物数量")
    private Long spannedCrossedNearbyBuildingsNumber;

    /** 设计标准[重现期] */
            @Excel(name = "设计标准[重现期]")
            @ApiModelProperty("设计标准[重现期]")
    private Long designStandardRecurrencePeriod;

    /** 河长姓名 */
            @Excel(name = "河长姓名")
            @ApiModelProperty("河长姓名")
    private String riverSupervisorName;

    /** 河长职务 */
            @Excel(name = "河长职务")
            @ApiModelProperty("河长职务")
    private String riverSupervisorPosition;

    /** 河长电话 */
            @Excel(name = "河长电话")
            @ApiModelProperty("河长电话")
    private String riverSupervisorPhone;

    /** 联系单位：区水利局 */
            @Excel(name = "联系单位：区水利局")
            @ApiModelProperty("联系单位：区水利局")
    private String contactUnit;

    /** 单位联系人姓名 */
            @Excel(name = "单位联系人姓名")
            @ApiModelProperty("单位联系人姓名")
    private String unitContactPersonName;

    /** 单位联系人电话 */
            @Excel(name = "单位联系人电话")
            @ApiModelProperty("单位联系人电话")
    private String unitContactPersonPhone;

    /** 联系人姓名 */
            @Excel(name = "联系人姓名")
            @ApiModelProperty("联系人姓名")
    private String contactPersonName;

    /** 联系人电话 */
            @Excel(name = "联系人电话")
            @ApiModelProperty("联系人电话")
    private String contactPersonPhone;

    /** 防汛物资 */
            @Excel(name = "防汛物资")
            @ApiModelProperty("防汛物资")
    private String floodPreventionMaterials;

    /** 行政责任人姓名 */
            @Excel(name = "行政责任人姓名")
            @ApiModelProperty("行政责任人姓名")
    private String adminPersonName;

    /** 行政责任人职位 */
            @Excel(name = "行政责任人职位")
            @ApiModelProperty("行政责任人职位")
    private String adminPersonPosition;

    /** 行政责任人电话 */
            @Excel(name = "行政责任人电话")
            @ApiModelProperty("行政责任人电话")
    private String adminPersonPhone;

    /** 技术责任人姓名 */
            @Excel(name = "技术责任人姓名")
            @ApiModelProperty("技术责任人姓名")
    private String techPersonName;

    /** 技术责任人职位 */
            @Excel(name = "技术责任人职位")
            @ApiModelProperty("技术责任人职位")
    private String techPersonPosition;

    /** 技术负责人电话 */
            @Excel(name = "技术负责人电话")
            @ApiModelProperty("技术负责人电话")
    private String techPersonPhone;

    /** 创建人 */
            @Excel(name = "创建人")
            @ApiModelProperty("创建人")
    private String createdBy;

    /** 更新人 */
            @Excel(name = "更新人")
            @ApiModelProperty("更新人")
    private String updatedBy;

    /** 删除标志0存在，2删除 */
    private Integer delFlag;

    /** 关联的站点id */
            @Excel(name = "关联的站点id")
            @ApiModelProperty("关联的站点id")
    private Long siteId;

}
