package com.fastbee.ggroup.mapper;

import java.util.List;
import com.fastbee.ggroup.domain.GSiteGroups;
import com.fastbee.ggroup.domain.dto.GGroupSiteDto;
import com.github.yulichang.base.MPJBaseMapper;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;

/**
 * 站点组关系Mapper接口
 *
 * @author kerwincui
 * &#064;date  2024-09-30
 */
@Mapper
public interface GSiteGroupsMapper extends MPJBaseMapper<GSiteGroups>
{

    /**
     * 查询站点组关系
     *
     * @param id 站点组关系主键
     * @return 站点组关系
     */
    GSiteGroups selectGSiteGroupsById(Long id);

    /**
     * 查询站点组关系列表
     *
     * @param gSiteGroups 站点组关系
     * @return 站点组关系集合
     */
    List<GSiteGroups> selectGSiteGroupsList(GSiteGroups gSiteGroups);

    /**
     * 新增站点组关系
     *
     * @param gSiteGroups 站点组关系
     * @return 结果
     */
    @Insert("insert into g_site_groups (site_id, parent_id, project_id,order_num) " +
            "value (#{siteId},#{parentId},#{projectId},#{orderNum})")
    int insertGSiteGroups(GGroupSiteDto gSiteGroups);

    /**
     * 修改站点组关系
     *
     * @param gSiteGroups 站点组关系
     * @return 结果
     */
    int updateGSiteGroups(GSiteGroups gSiteGroups);

    /**
     * 删除站点组关系
     *
     * @param id 站点组关系主键
     * @return 结果
     */
    int deleteGSiteGroupsById(Long id);

    /**
     * 批量删除站点组关系
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteGSiteGroupsByIds(Long[] ids);
}
