package com.fastbee.iot.mapper;

import java.util.List;
import com.fastbee.iot.domain.Bridge;
import org.springframework.stereotype.Repository;

/**
 * 数据桥接Mapper接口
 *
 * @author zhuangpeng.li
 * @date 2024-06-06
 */
@Repository
public interface BridgeMapper
{
    /**
     * 查询数据桥接
     *
     * @param id 数据桥接主键
     * @return 数据桥接
     */
    public Bridge selectBridgeById(Long id);

    /**
     * 查询数据桥接列表
     *
     * @param bridge 数据桥接
     * @return 数据桥接集合
     */
    public List<Bridge> selectBridgeList(Bridge bridge);

    /**
     * 新增数据桥接
     *
     * @param bridge 数据桥接
     * @return 结果
     */
    public int insertBridge(Bridge bridge);

    /**
     * 修改数据桥接
     *
     * @param bridge 数据桥接
     * @return 结果
     */
    public int updateBridge(Bridge bridge);

    /**
     * 删除数据桥接
     *
     * @param id 数据桥接主键
     * @return 结果
     */
    public int deleteBridgeById(Long id);

    /**
     * 批量删除数据桥接
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBridgeByIds(Long[] ids);
}
