package com.fastbee.project.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 项目对象 project
 *
 * @author kerwincui
 * @date 2024-10-25
 */
@ApiModel(value = "Project",description = "项目 project")
@Data
@EqualsAndHashCode(callSuper = true)
public class Project extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目id */
    private Long id;

    /** 项目名称 */
    @Excel(name = "项目名称")
    @ApiModelProperty("项目名称")
    private String projectName;

    /** 系统显示名称 */
    @Excel(name = "系统显示名称")
    @ApiModelProperty("系统显示名称")
    private String sysShowName;

    /** 中心坐标 */
    @Excel(name = "中心坐标")
    @ApiModelProperty("中心坐标")
    private String centralCoordinates;

    /** 项目范围(经纬度) */
    @Excel(name = "项目范围(经纬度)")
    @ApiModelProperty("项目范围(经纬度)")
    private String scope;

    /** 行政区域 */
    @Excel(name = "行政区域")
    @ApiModelProperty("行政区域")
    private String administrativeArea;

    /** 项目拥有人 */
    @Excel(name = "项目拥有人")
    @ApiModelProperty("项目拥有人")
    private String owner;

    /** 项目logo */
    @Excel(name = "项目logo")
    @ApiModelProperty("项目logo")
    private String logo;

    /** 项目图片 */
    @Excel(name = "项目图片")
    @ApiModelProperty("项目图片")
    private String image;

    /** 园区视频介绍 */
    @Excel(name = "园区视频介绍")
    @ApiModelProperty("园区视频介绍")
    private String videoIntroduction;

    /** 项目参数 */
    @Excel(name = "项目参数")
    @ApiModelProperty("项目参数")
    private String pParams;

    /** 项目介绍 */
    @Excel(name = "项目介绍")
    @ApiModelProperty("项目介绍")
    private String introduce;

    /** 删除状态[2删除,0未删除] */
    private Long delFlag;

    /** 项目介绍 */
    @Excel(name = "项目介绍")
    @ApiModelProperty("项目介绍")
    private String remarks;

    /** 租户id */
    @Excel(name = "租户id")
    @ApiModelProperty("租户id")
    private Long tenantId;

    /** 租户名称 */
    @Excel(name = "租户名称")
    @ApiModelProperty("租户名称")
    private String tenantName;

    /** 负责人id */
    @Excel(name = "负责人id")
    @ApiModelProperty("负责人id")
    private Long ownerId;

    /** 父项目id */
    @Excel(name = "父项目id")
    @ApiModelProperty("父项目id")
    private Long parentId;

    /** 所属机构id */
    @Excel(name = "所属机构id")
    @ApiModelProperty("所属机构id")
    private Long deptId;

    /** 行政区域代码 */
    @Excel(name = "行政区域代码")
    @ApiModelProperty("行政区域代码")
    private String administrativeAreaCode;

    /** 项目所属机构名称 */
    @Excel(name = "项目所属机构名称")
    @ApiModelProperty("项目所属机构名称")
    private String deptName;

    /** 项目级别：1市级2县级 */
    @Excel(name = "项目级别：1市级2县级")
    @ApiModelProperty("项目级别：1市级2县级")
    private String level;

    /** 行政区域省代码 */
    @Excel(name = "行政区域省代码")
    @ApiModelProperty("行政区域省代码")
    private String provinceCode;

    /** 行政区域市代码 */
    @Excel(name = "行政区域市代码")
    @ApiModelProperty("行政区域市代码")
    private String cityCode;

    /** 行政区域县代码 */
    @Excel(name = "行政区域县代码")
    @ApiModelProperty("行政区域县代码")
    private String countyCode;

    /** 行政区域镇代码 */
    @Excel(name = "行政区域镇代码")
    @ApiModelProperty("行政区域镇代码")
    private String townCode;

    /** 行政区域村代码 */
    @Excel(name = "行政区域村代码")
    @ApiModelProperty("行政区域村代码")
    private String villageCode;

    //业务字段---------------------------------------------------------------------------
    /**
     * 系统账号名称
     */
    private String userName;

    /**
     * 系统账号密码
     */
    private String password;

    /**
     * 确认密码
     */
    private String confirmPassword;
    /**
     * 手机号
     */
    private String  phoneNumber;

}
