package com.fastbee.waterele.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;

/**
 * 水电双计数据记录对象 ma_waterele_record
 *
 * @author kerwincui
 * @date 2024-08-12
 */
@ApiModel(value = "MaWatereleRecord",description = "水电双计数据记录 ma_waterele_record")
@Data
@EqualsAndHashCode(callSuper = true)
public class MaWatereleRecord extends BaseEntity
        {
private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 设备编号 */
            @Excel(name = "设备编号")
            @ApiModelProperty("设备编号")
    private String devSn;

    /** 工作状态:0=关泵,1=开泵 */
            @Excel(name = "工作状态:0=关泵,1=开泵")
            @ApiModelProperty("工作状态:0=关泵,1=开泵")
    private Integer workstate;

    /** 本次用水量(m³) */
            @Excel(name = "本次用水量(m³)")
            @ApiModelProperty("本次用水量(m³)")
    private String usersumflow;

    /** 本次用电量(度) */
            @Excel(name = "本次用电量(度)")
            @ApiModelProperty("本次用电量(度)")
    private String usersumele;

    /** 用户余额(元) */
            @Excel(name = "用户余额(元)")
            @ApiModelProperty("用户余额(元)")
    private String userbalance;

    /** 累计用水量(m³) */
            @Excel(name = "累计用水量(m³)")
            @ApiModelProperty("累计用水量(m³)")
    private String sumflow;

    /** 累计用电量(度) */
            @Excel(name = "累计用电量(度)")
            @ApiModelProperty("累计用电量(度)")
    private String sumele;

    /** 单片机编号 */
            @Excel(name = "单片机编号")
            @ApiModelProperty("单片机编号")
    private String mcusn;

    /** 瞬时电量 */
            @Excel(name = "瞬时电量")
            @ApiModelProperty("瞬时电量")
    private String inspower;

    /** 瞬时流量(m³/s) */
            @Excel(name = "瞬时流量(m³/s)")
            @ApiModelProperty("瞬时流量(m³/s)")
    private String insflow;

    /** 当前累计用水量(m³) */
            @Excel(name = "当前累计用水量(m³)")
            @ApiModelProperty("当前累计用水量(m³)")
    private String curflow;

    /** 当前累计用电量(度) */
            @Excel(name = "当前累计用电量(度)")
            @ApiModelProperty("当前累计用电量(度)")
    private String curele;

    /** 流量计累计水量(m³) */
            @Excel(name = "流量计累计水量(m³)")
            @ApiModelProperty("流量计累计水量(m³)")
    private String metersum;

    /** 流量计瞬时流量(m³/s) */
            @Excel(name = "流量计瞬时流量(m³/s)")
            @ApiModelProperty("流量计瞬时流量(m³/s)")
    private String meterins;

    /** 卡编号 */
            @Excel(name = "卡编号")
            @ApiModelProperty("卡编号")
    private String cardid;

    /** 区域号 */
            @Excel(name = "区域号")
            @ApiModelProperty("区域号")
    private String areacode;

    /** 当前动作 */
            @Excel(name = "当前动作")
            @ApiModelProperty("当前动作:timeMsg=灌溉定时报,startPump=开始灌溉,stopPump=停止灌溉,safeMsg=定时报")
    private String action;

}
